Mandriva Linux Security Advisory : freeradius (MDVSA-2012:047)

This script is Copyright (C) 2012-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

A vulnerability has been found and corrected in freeradius :

The ocsp_check function in rlm_eap_tls.c in FreeRADIUS 2.1.11, when
OCSP is enabled, does not properly parse replies from OCSP responders,
which allows remote attackers to bypass authentication by using the
EAP-TLS protocol with a revoked X.509 client certificate
(CVE-2011-2701).

The updated packages have been patched to correct this issue.

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:N)
CVSS Temporal Score : 5.0
(CVSS2#E:ND/RL:OF/RC:ND)
Public Exploit Available : false

Family: Mandriva Local Security Checks

Nessus Plugin ID: 61948 ()

Bugtraq ID: 48880

CVE ID: CVE-2011-2701

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now